WITH   Gnat.IO ;  USE Gnat.IO;

PROCEDURE   CharTb11  IS

   L_Code : Integer ;

BEGIN
   ----- LOOP 1
   FOR L_i in 0..15 LOOP

      ----- LOOP 2
      FOR L_j in 0..15 LOOP
         L_Code := L_i*16  +  L_j ;

         Put (   Character'Val(L_Code)   );
      END LOOP;--j

      New_Line ;
   END LOOP;--i
END;
